std::piecewise_linear_distribution< _RealType >::param_type Struct Reference

## Public Types

typedef piecewise_linear_distribution< _RealType > | distribution_type

## Public Member Functions

template<typename _InputIteratorB , typename _InputIteratorW >
| param_type (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
| param_type (const param_type &)=default
template<typename _Func >
| param_type (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func >
| param_type (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
std::vector< double > | densities () const
std::vector< _RealType > | intervals () const
param_type & | operator= (const param_type &)=default

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)
class | piecewise_linear_distribution< _RealType >

## Detailed Description

### template<typename _RealType = double>
struct std::piecewise_linear_distribution< _RealType >::param_type

Parameter type.

Definition at line 5798 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc